using System;
using System.Collections.Generic;
using System.IO;
using UnityEngine;
using UnityEngine.Events;

namespace Mod
{
	class ColliderDebug : MonoBehaviour
    {
        void Update()
        {
            foreach (Collider2D coller in gameObject.GetComponents<Collider2D>())
            {
                ModAPI.Draw.Collider(coller); //Instance.AddComponent<ColliderDebug>(); (add this to instances)
            }
        }
    }
    public class Mod
    {
        public static void Main()
        {				

/////////////////////////////////////////////////////////////////////////////////////United States///////////////////////////////////////////////////////////////////////////////////////////
		  ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "{RESPONSE} Counter Assault Team Operative",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "The Counter Assault Team (CAT) is a specialized tactical unit of the U.S. Secret Service that provides tactical support to the Presidential Protective Division to protect the President of the United States. This is in contrast to the Presidential Protective Division whose mission is to shield the president from an attack and to evacuate the president to a place of safety. The CAT can also provide tactical support to other designated protectees at venues and National Special Security Events. The Secret Service first began fielding counter assault teams in 1979. Hawkeye is the designation for a CAT assigned to the president, followed by the president's Secret Service code name. For example, the code name for President Obama's CAT was Hawkeye Renegade.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/CAT1.png"),
                    AfterSpawn = (Instance) =>
                    {	
                        var skin = ModAPI.LoadTexture("US/CAT1.png");
	                    var flesh = ModAPI.LoadTexture("6f_flesh.png");
	                    var bone = ModAPI.LoadTexture("6f_bone.png");
                            var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                
	                    person.SetBodyTextures(skin, null, null, 6);
                
                            person.SetBruiseColor(86, 62, 130);
                            person.SetSecondBruiseColor(154, 0, 7);
                            person.SetThirdBruiseColor(207, 206, 120);
                            person.SetRottenColour(202, 199, 104);
                            person.SetBloodColour(108, 0, 4);
                    }
                }
            );	
		  ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "{RESPONSE} Counter Assault Team Operative with Gloves",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "The Counter Assault Team (CAT) is a specialized tactical unit of the U.S. Secret Service that provides tactical support to the Presidential Protective Division to protect the President of the United States. This is in contrast to the Presidential Protective Division whose mission is to shield the president from an attack and to evacuate the president to a place of safety. The CAT can also provide tactical support to other designated protectees, at venues and National Special Security Events. The Secret Service first began fielding counter assault teams in 1979. Hawkeye is the designation for a CAT assigned to the president, followed by the president's Secret Service code name. For example, the code name for President Obama's CAT was Hawkeye Renegade.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/CAT2.png"),
                    AfterSpawn = (Instance) =>
                    {	
                        var skin = ModAPI.LoadTexture("US/CAT2.png");
	                    var flesh = ModAPI.LoadTexture("6f_flesh.png");
	                    var bone = ModAPI.LoadTexture("6f_bone.png");
                            var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                
	                    person.SetBodyTextures(skin, null, null, 6);
                
                            person.SetBruiseColor(86, 62, 130);
                            person.SetSecondBruiseColor(154, 0, 7);
                            person.SetThirdBruiseColor(207, 206, 120);
                            person.SetRottenColour(202, 199, 104);
                            person.SetBloodColour(108, 0, 4);
                    }
                }
            );	
		  ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "{RESPONSE} Counter Assault Team Operative with Damascus NH50L-B Balaclava",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "The Counter Assault Team (CAT) is a specialized tactical unit of the U.S. Secret Service that provides tactical support to the Presidential Protective Division to protect the President of the United States. This is in contrast to the Presidential Protective Division whose mission is to shield the president from an attack and to evacuate the president to a place of safety. The CAT can also provide tactical support to other designated protectees, at venues and National Special Security Events. The Secret Service first began fielding counter assault teams in 1979. Hawkeye is the designation for a CAT assigned to the president, followed by the president's Secret Service code name. For example, the code name for President Obama's CAT was Hawkeye Renegade.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/CAT3.png"),
                    AfterSpawn = (Instance) =>
                    {	
                        var skin = ModAPI.LoadTexture("US/CAT3.png");
	                    var flesh = ModAPI.LoadTexture("6f_flesh.png");
	                    var bone = ModAPI.LoadTexture("6f_bone.png");
                            var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                
	                    person.SetBodyTextures(skin, null, null, 6);
                
                            person.SetBruiseColor(86, 62, 130);
                            person.SetSecondBruiseColor(154, 0, 7);
                            person.SetThirdBruiseColor(207, 206, 120);
                            person.SetRottenColour(202, 199, 104);
                            person.SetBloodColour(108, 0, 4);
                    }
                }
            );	
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "{RESPONSE} CAT Bulletproof Vest",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Modeled off the SecPro Rapid Response Armor.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("US/CATVestB.png", 6f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("US/CATVestB.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 50f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 3;
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();

						var among2 = GameObject.Instantiate(ModAPI.FindSpawnable("Rod").Prefab);
						among2.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("US/CATVestT.png", 6f);
						among2.transform.localPosition = (Instance.transform.position);
						var mogus2 = among2.GetComponent<Collider2D>();
                        			GameObject.Destroy(mogus2);
                        			among2.FixColliders();

					ArmorBehaviour armor3 = among2.AddComponent<ArmorBehaviour>();
					armor3.stabResistance = 50f;
                        		armor3.armorPiece = "UpperBody";
					armor3.armorTier = 3;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "{RESPONSE} CAT Bulletproof Vest (RADIO)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "No reason to make this,",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("US/CATVestB.png", 6f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("US/CATVestBR.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 50f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 3;
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();

						var among2 = GameObject.Instantiate(ModAPI.FindSpawnable("Rod").Prefab);
						among2.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("US/CATVestTR.png", 6f);
						among2.transform.localPosition = (Instance.transform.position);
						var mogus2 = among2.GetComponent<Collider2D>();
                        			GameObject.Destroy(mogus2);
                        			among2.FixColliders();

					ArmorBehaviour armor3 = among2.AddComponent<ArmorBehaviour>();
					armor3.stabResistance = 50f;
                        		armor3.armorPiece = "UpperBody";
					armor3.armorTier = 3;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "{RESPONSE} CAT Helmet 1",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "I suck at making helmets",
                    CategoryOverride = ModAPI.FindCategory("RESPONSE TEAMS Base"),
                    ThumbnailOverride = ModAPI.LoadSprite("US/CAT Helmet1.png", 6f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("US/CAT Helmet1.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 30f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 3;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "{RESPONSE} CAT Helmet 2",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "With a flashlight for... no reason.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("US/CAT Helmet2.png", 6f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("US/CAT Helmet2.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 30f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 3;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "{RESPONSE} CAT Helmet 3",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "You gotta love Security Pro USA's total security solutions.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("US/CAT Helmet3.png", 6f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("US/CAT Helmet3.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 30f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 3;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "{RESPONSE} CAT Hat",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Not the cat in the hat",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("US/CATHat.png", 6f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("US/CATHat.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 10f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "{RESPONSE} CAT Belt 1",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a belt for your SIG Sauer P229 Legion.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("US/CAT Belt1.png", 6f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("US/CAT Belt1.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 10f;
                        armor.armorPiece = "LowerBody";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "{RESPONSE} CAT Belt 2",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a belt for your SIG Sauer P229 Legion and a pouch for ammo I guess.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("US/CAT Belt2.png", 6f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("US/CAT Belt2.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 10f;
                        armor.armorPiece = "LowerBody";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "{RESPONSE} CAT Belt 3",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a belt for your Glock 17 and a pouch for ammo I guess.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("US/CAT Belt3.png", 6f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("US/CAT Belt3.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 10f;
                        armor.armorPiece = "LowerBody";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
			ModAPI.Register(
             new Modification()
             {
              OriginalItem = ModAPI.FindSpawnable("Assault Rifle"),
                 NameOverride = "{RESPONSE} SR-16 MOD2",
                   DescriptionOverride = "The SR-15 E3 MOD 2 series 5.56mm NATO barrel is manufactured for military grade durability, and is free-floated inside a URX 4 M-LOK handguard. An improved E3 round-lug bolt design both enhances function and increases bolt life far beyond the industry standard. The ambidextrous bolt release, selector lever, and magazine release offers left-handed users the ergonomic advantages inherent to AR15-based controls. The drop-in two-stage trigger serves double duty as an aid to precision marksmanship while enabling surgical speed shooting at close range. The 5.56mm 3-Prong Flash Eliminator interferes with propellant gas combustion forward of the muzzle to significantly reduce flash signature, will not ring upon firing or when struck, and is compatible with the Knight’s line of 5.56mm QDC Signature Reduction Devices. ",
                 CategoryOverride = ModAPI.FindCategory("Entities"),
                 ThumbnailOverride = ModAPI.LoadSprite("US/SR-16.png", 10f),
                 AfterSpawn = (Instance) =>
                 {

                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("US/SR-16.png", 10f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.360f, 0.1000f); 
                     firearm.casingPosition = new Vector3(-0.300f,0.100f);
                     customCartridge.name = "5.56mm NATO";
                     customCartridge.Recoil *= 3f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/m16_01.wav"),
                     };
                 }
             }
             ); ;
			ModAPI.Register(
             new Modification()
             {
              OriginalItem = ModAPI.FindSpawnable("Assault Rifle"),
                 NameOverride = "{RESPONSE} SR-16 MOD2 (Tactical 1)",
                   DescriptionOverride = "The SR-15 E3 MOD 2 serie 5.56mm NATO barrel is manufactured for military grade durability, and is free-floated inside a URX 4 M-LOK handguard. An improved E3 round-lug bolt design both enhances function and increases bolt life far beyond the industry standard. The ambidextrous bolt release, selector lever, and magazine release offers left-handed users the ergonomic advantages inherent to AR15-based controls. The drop-in two-stage trigger serves double duty as an aid to precision marksmanship while enabling surgical speed shooting at close range. The 5.56mm 3-Prong Flash Eliminator interferes with propellant gas combustion forward of the muzzle to significantly reduce flash signature, will not ring upon firing or when struck, and is compatible with the Knight’s line of 5.56mm QDC Signature Reduction Devices. ",
                 CategoryOverride = ModAPI.FindCategory("Entities"),
                 ThumbnailOverride = ModAPI.LoadSprite("US/SR-16Tac1.png", 10f),
                 AfterSpawn = (Instance) =>
                 {

                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("US/SR-16Tac1.png", 10f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.360f, 0.1000f); 
                     firearm.casingPosition = new Vector3(-0.300f,0.100f);
                     customCartridge.name = "5.56mm NATO";
                     customCartridge.Recoil *= 3f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/m16_01.wav"),
                     };
                 }
             }
             ); ;
			ModAPI.Register(
             new Modification()
             {
              OriginalItem = ModAPI.FindSpawnable("Assault Rifle"),
                 NameOverride = "{RESPONSE} SR-16 MOD2 (Tactical 2)",
                   DescriptionOverride = "The SR-15 E3 MOD 2 series 5.56mm NATO barrel is manufactured for military grade durability, and is free-floated inside a URX 4 M-LOK handguard. An improved E3 round-lug bolt design both enhances function and increases bolt life far beyond the industry standard. The ambidextrous bolt release, selector lever, and magazine release offers left-handed users the ergonomic advantages inherent to AR15-based controls. The drop-in two-stage trigger serves double duty as an aid to precision marksmanship while enabling surgical speed shooting at close range. The 5.56mm 3-Prong Flash Eliminator interferes with propellant gas combustion forward of the muzzle to significantly reduce flash signature, will not ring upon firing or when struck, and is compatible with the Knight’s line of 5.56mm QDC Signature Reduction Devices. ",
                 CategoryOverride = ModAPI.FindCategory("Entities"),
                 ThumbnailOverride = ModAPI.LoadSprite("US/SR-16Tac2.png", 10f),
                 AfterSpawn = (Instance) =>
                 {

                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("US/SR-16Tac2.png", 10f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.360f, 0.1000f); 
                     firearm.casingPosition = new Vector3(-0.300f,0.100f);
                     customCartridge.name = "5.56mm NATO";
                     customCartridge.Recoil *= 3f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/m16_01.wav"),
                     };
                 }
             }
             ); ;
			ModAPI.Register(
             new Modification()
             {
              OriginalItem = ModAPI.FindSpawnable("Assault Rifle"),
                 NameOverride = "{RESPONSE} SR-16 MOD2 (Collapsed Stock)",
                   DescriptionOverride = "The SR-15 E3 MOD 2 series 5.56mm NATO barrel is manufactured for military grade durability, and is free-floated inside a URX 4 M-LOK handguard. An improved E3 round-lug bolt design both enhances function and increases bolt life far beyond the industry standard. The ambidextrous bolt release, selector lever, and magazine release offers left-handed users the ergonomic advantages inherent to AR15-based controls. The drop-in two-stage trigger serves double duty as an aid to precision marksmanship while enabling surgical speed shooting at close range. The 5.56mm 3-Prong Flash Eliminator interferes with propellant gas combustion forward of the muzzle to significantly reduce flash signature, will not ring upon firing or when struck, and is compatible with the Knight’s line of 5.56mm QDC Signature Reduction Devices. ",
                 CategoryOverride = ModAPI.FindCategory("Entities"),
                 ThumbnailOverride = ModAPI.LoadSprite("US/SR-16 Collapsed.png", 10f),
                 AfterSpawn = (Instance) =>
                 {

                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("US/SR-16 Collapsed.png", 10f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.360f, 0.1000f); 
                     firearm.casingPosition = new Vector3(-0.300f,0.100f);
                     customCartridge.name = "5.56mm NATO";
                     customCartridge.Recoil *= 3f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/m16_01.wav"),
                     };
                 }
             }
             ); ;
			ModAPI.Register(
             new Modification()
             {
              OriginalItem = ModAPI.FindSpawnable("Assault Rifle"),
                 NameOverride = "{RESPONSE} SR-16 MOD2 (Semi-Automatic)",
                   DescriptionOverride = "The SR-15 E3 MOD 2 series 5.56mm NATO barrel is manufactured for military grade durability, and is free-floated inside a URX 4 M-LOK handguard. An improved E3 round-lug bolt design both enhances function and increases bolt life far beyond the industry standard. The ambidextrous bolt release, selector lever, and magazine release offers left-handed users the ergonomic advantages inherent to AR15-based controls. The drop-in two-stage trigger serves double duty as an aid to precision marksmanship while enabling surgical speed shooting at close range. The 5.56mm 3-Prong Flash Eliminator interferes with propellant gas combustion forward of the muzzle to significantly reduce flash signature, will not ring upon firing or when struck, and is compatible with the Knight’s line of 5.56mm QDC Signature Reduction Devices. ",
                 CategoryOverride = ModAPI.FindCategory("Entities"),
                 ThumbnailOverride = ModAPI.LoadSprite("US/SR-16.png", 10f),
                 AfterSpawn = (Instance) =>
                 {

                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("US/SR-16.png", 10f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.360f, 0.1000f); 
                     firearm.casingPosition = new Vector3(-0.300f,0.100f);
                     customCartridge.name = "5.56mm NATO";
                     customCartridge.Recoil *= 3f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = false;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/m16_01.wav"),
                     };
                 }
             }
             ); ;
			ModAPI.Register(
             new Modification()
             {
              OriginalItem = ModAPI.FindSpawnable("Pistol"),
                 NameOverride = "{RESPONSE} SIG Sauer P229 Legion",
                   DescriptionOverride = "The Sig Sauer P229 Legion Compact Semi-Auto Pistol is finished in a proprietary Legion gray PVD coating. The P229 is compact enough to carry concealed, while offering exceptional ergonomics and balance to deliver major firepower when needed. The P229 Legion comes with an enhanced polished action, and a SRT (Short-Reset Trigger) augmented with a Grayguns Inc., P-SAIT trigger. The trigger is intermediate length, and adjustable for over travel. A reduced and contoured Elite beavertail, and a X-Five undercut trigger guard allow for a higher grip, putting the shooter's hand in closer alignment with the bore line for greater fire control, while keeping the hand from sliding up on the hammer during rapid fire. 3-dot tritium sights are quick to acquire in most any lighting. The rear sight is also serrated to eliminate glare in full sunlight.",
                 CategoryOverride = ModAPI.FindCategory("Entities"),
                 ThumbnailOverride = ModAPI.LoadSprite("US/SIG Sauer P229 Legion.png", 16f),
                 AfterSpawn = (Instance) =>
                 {

                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("US/SIG Sauer P229 Legion.png", 16f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.100f, 0.1000f);  
                     firearm.casingPosition = new Vector3(-0.100f,0.100f);
                     customCartridge.name = "9x19mm Parabellum";
                     customCartridge.Recoil *= 3f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = false;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/beretta_01.wav"),
                     };
                 }
             }
             ); ;
////////////////////////////////////////////////////////////////////////////////////Austria//////////////////////////////////////////////////////////////////////////////////////////////////
		  ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "{RESPONSE} Einsatzkommando Cobra Operative",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "EKO Cobra (German: Einsatzkommando Cobra; Task Force Cobra) is the police tactical unit of the Austrian Federal Ministry of the Interior. EKO Cobra is not part of the Austrian Federal Police, but instead is directly under the control of the Federal Ministry of the Interior.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/EKO.png"),
                    AfterSpawn = (Instance) =>
                    {	
                        var skin = ModAPI.LoadTexture("AUS/EKO Cobra1.png");
	                    var flesh = ModAPI.LoadTexture("6f_flesh.png");
	                    var bone = ModAPI.LoadTexture("6f_bone.png");
                            var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                
	                    person.SetBodyTextures(skin, null, null, 6);
                
                            person.SetBruiseColor(86, 62, 130);
                            person.SetSecondBruiseColor(154, 0, 7);
                            person.SetThirdBruiseColor(207, 206, 120);
                            person.SetRottenColour(202, 199, 104);
                            person.SetBloodColour(108, 0, 4);
                    }
                }
            );	
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "{RESPONSE} EKO Cobra Vest",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Very protective.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("AUS/EKOVestM.png", 6f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AUS/EKOVestM.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 80f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 4;
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();

						var among2 = GameObject.Instantiate(ModAPI.FindSpawnable("Rod").Prefab);
						among2.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AUS/EKOVestT.png", 6f);
						among2.transform.localPosition = (Instance.transform.position);
						var mogus2 = among2.GetComponent<Collider2D>();
                        			GameObject.Destroy(mogus2);
                        			among2.FixColliders();

					ArmorBehaviour armor3 = among2.AddComponent<ArmorBehaviour>();
					armor3.stabResistance = 80f;
                        		armor3.armorPiece = "UpperBody";
					armor3.armorTier = 4;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "{RESPONSE} EKO Cobra Vest Bottom",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Extension for the EKO Cobra vest",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("AUS/EKOVestB.png", 6f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AUS/EKOVestB.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 80f;
                        armor.armorPiece = "LowerBody";
                        armor.armorTier = 4;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "{RESPONSE} EKO Cobra Cap",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Funni",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("AUS/EKOCap.png", 6f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AUS/EKOCap.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 10f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "{RESPONSE} EKO Cobra Helmet",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Funny riot helmet",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("AUS/EKO Riot Helmet.png", 6f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AUS/EKO Riot Helmet.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 100f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 4;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
			ModAPI.Register(
             new Modification()
             {
              OriginalItem = ModAPI.FindSpawnable("Assault Rifle"),
                 NameOverride = "{RESPONSE} Steyr AUG",
                   DescriptionOverride = "The Steyr AUG (German: Armee-Universal-Gewehr, 'universal army rifle') is an Austrian bullpup assault rifle chambered for the 5.56x45mm NATO intermediate cartridge, designed in the 1960s by Steyr-Daimler-Puch, and now manufactured by Steyr Arms GmbH & Co KG. It was adopted by the Austrian Army in 1978 as the StG 77 (Sturmgewehr 77), where it replaced the 7.62x51mm NATO StG 58 automatic rifle (a licence-built FN FAL). In production since 1978, it is the standard small arm of the Bundesheer and various Austrian federal police units, and its variants have also been adopted by the armed forces of dozens of countries, with some using it as a standard-issue service rifle. ",
                 CategoryOverride = ModAPI.FindCategory("Entities"),
                 ThumbnailOverride = ModAPI.LoadSprite("AUS/Steyr AUG.png", 16f),
                 AfterSpawn = (Instance) =>
                 {

                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AUS/Steyr AUG.png", 16f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.360f, 0.1000f); 
                     firearm.casingPosition = new Vector3(-0.300f,0.100f);
                     customCartridge.name = "5.56mm NATO";
                     customCartridge.Recoil *= 3f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/m16_01.wav"),
                     };
                 }
             }
             ); ;
			ModAPI.Register(
             new Modification()
             {
              OriginalItem = ModAPI.FindSpawnable("Assault Rifle"),
                 NameOverride = "{RESPONSE} H&K MP5A2",
                   DescriptionOverride = "The MP5 (German: Maschinenpistole 5) is a 9x19mm Parabellum submachine gun, developed in the 1960s by a team of engineers from the German small arms manufacturer Heckler & Koch GmbH (H&K) of Oberndorf am Neckar. There are over 100 variants and clones of the MP5, including some semi-automatic versions. The MP5 is one of the most widely used submachine guns in the world, having been adopted by 40 nations and numerous military, law enforcement, intelligence, and security organizations. It was widely used by SWAT teams in North America, but has since been supplanted by M16 rifle variants in the 21st century.",
                 CategoryOverride = ModAPI.FindCategory("Entities"),
                 ThumbnailOverride = ModAPI.LoadSprite("AUS/H&K MP5A2.png", 10f),
                 AfterSpawn = (Instance) =>
                 {

                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AUS/H&K MP5A2.png", 10f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.360f, 0.1000f); 
                     firearm.casingPosition = new Vector3(-0.300f,0.100f);
                     customCartridge.name = "9x19mm Parabellum";
                     customCartridge.Recoil *= 3f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/MP5.wav"),
                     };
                 }
             }
             ); ;
			ModAPI.Register(
             new Modification()
             {
              OriginalItem = ModAPI.FindSpawnable("Pistol"),
                 NameOverride = "{RESPONSE} Glock 17 Gen 3",
                   DescriptionOverride = "Glock is a brand of polymer-framed, short recoil-operated, locked-breech semi-automatic pistols designed and produced by Austrian manufacturer Glock Ges.m.b.H. The firearm entered Austrian military and police service by 1982 after it was the top performer in reliability and safety tests. Glock pistols have become the company's most profitable line of products, and have been supplied to national armed forces, security agencies, and police forces in at least 48 countries. Glocks are also popular firearms among civilians for recreational and competition shooting, home- and self-defense, both in concealed or open carry. In 2020, the Glock 19 was the best selling pistol on GunBroker.",
                 CategoryOverride = ModAPI.FindCategory("Entities"),
                 ThumbnailOverride = ModAPI.LoadSprite("AUS/Glock 17 Gen 3.png", 19f),
                 AfterSpawn = (Instance) =>
                 {

                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AUS/Glock 17 Gen 3.png", 19f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.100f, 0.1000f);  
                     firearm.casingPosition = new Vector3(-0.100f,0.100f);
                     customCartridge.name = "9x19mm Parabellum";
                     customCartridge.Recoil *= 3f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = false;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/beretta_01.wav"),
                     };
                 }
             }
             ); ;
			ModAPI.Register(
             new Modification()
             {
              OriginalItem = ModAPI.FindSpawnable("Pistol"),
                 NameOverride = "{RESPONSE} Glock 19",
                   DescriptionOverride = "Glock is a brand of polymer-framed, short recoil-operated, locked-breech semi-automatic pistols designed and produced by Austrian manufacturer Glock Ges.m.b.H. The firearm entered Austrian military and police service by 1982 after it was the top performer in reliability and safety tests. Glock pistols have become the company's most profitable line of products, and have been supplied to national armed forces, security agencies, and police forces in at least 48 countries. Glocks are also popular firearms among civilians for recreational and competition shooting, home- and self-defense, both in concealed or open carry. In 2020, the Glock 19 was the best selling pistol on GunBroker.",
                 CategoryOverride = ModAPI.FindCategory("Entities"),
                 ThumbnailOverride = ModAPI.LoadSprite("AUS/Glock 19.png", 18f),
                 AfterSpawn = (Instance) =>
                 {

                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AUS/Glock 19.png", 18f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.100f, 0.1000f);  
                     firearm.casingPosition = new Vector3(-0.100f,0.100f);
                     customCartridge.name = "9x19mm Parabellum";
                     customCartridge.Recoil *= 3f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = false;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/beretta_01.wav"),
                     };
                 }
             }
             ); ;
			ModAPI.Register(
             new Modification()
             {
              OriginalItem = ModAPI.FindSpawnable("Shotgun"),
                 NameOverride = "{RESPONSE} Remington Model 870",
                   DescriptionOverride = "The Remington Model 870 is a pump-action shotgun manufactured by Remington Arms Company, LLC. It is widely used by the public for shooting sports, hunting and self-defense, as well as by law enforcement and military organizations worldwide.",
                 CategoryOverride = ModAPI.FindCategory("Entities"),
                 ThumbnailOverride = ModAPI.LoadSprite("AUS/Remington M870.png", 16f),
                 AfterSpawn = (Instance) =>
                 {

                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AUS/Remington M870.png", 16f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("50 AE");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.100f, 0.1000f);  
                     firearm.casingPosition = new Vector3(-0.100f,0.100f);
                     customCartridge.name = "12 Gauge";
                     customCartridge.Recoil *= 3f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = false;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/shotgun.wav"),
                     };
                 }
             }
             ); ;
			ModAPI.Register(
             new Modification()
             {
              OriginalItem = ModAPI.FindSpawnable("Sniper Rifle"),
                 NameOverride = "{RESPONSE} Steyr Scharfschützengewehr 69 (SSG 69)",
                   DescriptionOverride = "The SSG 69 (Scharfschützengewehr 69, literally Sharpshooter Rifle 69) is a bolt-action sniper rifle produced by Steyr Mannlicher that serves as the standard sniper rifle for the Austrian Army. Adopted in 1969 (hence the designation), it was ahead of its time with the use of synthetics and cold hammer-forged barrels for durability. Aside from being the Austrian Army's standard issue sniper rifle, it is also used by several law enforcement organizations. It is extremely accurate and several international competitions have been won using an SSG-69 with accuracy being sub 0.15 mrad (0.5 moa).",
                 CategoryOverride = ModAPI.FindCategory("Entities"),
                 ThumbnailOverride = ModAPI.LoadSprite("AUS/Steyr SSG69.png", 16f),
                 AfterSpawn = (Instance) =>
                 {

                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AUS/Steyr SSG69.png", 16f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.360f, 0.1000f); 
                     firearm.casingPosition = new Vector3(-0.300f,0.100f);
                     customCartridge.name = "7.62x51mm NATO";
                     customCartridge.Recoil *= 3f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = false;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/m16_01.wav"),
                     };
                 }
             }
             ); ;
/////////////////////////////////////////////////////////////////////////////////////Serbia//////////////////////////////////////////////////////////////////////////////////////////////////
		  ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "{RESPONSE} Serbian Gendarmery",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "The Gendarmery is the national gendarmerie force of the Republic of Serbia. It is under the authority of the Police Directorate of the Serbian Ministry of Interior and was formed on 28 June 2001, after the disbandment of the Special Police Units (PJP). Gendarmery in Serbia existed in previous form from 1860 to 1920. As a special unit inside Serbian police, its role can be compared to those of Russian OMON and former Ukrainian Berkut units.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/GENB1.png"),
                    AfterSpawn = (Instance) =>
                    {	
                        var skin = ModAPI.LoadTexture("SERB/SGEN1.png");
	                    var flesh = ModAPI.LoadTexture("6f_flesh.png");
	                    var bone = ModAPI.LoadTexture("6f_bone.png");
                            var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                
	                    person.SetBodyTextures(skin, null, null, 6);
                
                            person.SetBruiseColor(86, 62, 130);
                            person.SetSecondBruiseColor(154, 0, 7);
                            person.SetThirdBruiseColor(207, 206, 120);
                            person.SetRottenColour(202, 199, 104);
                            person.SetBloodColour(108, 0, 4);
                    }
                }
            );	
		  ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "{RESPONSE} Serbian Gendarmery with long sleeves",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "The Gendarmery is the national gendarmerie force of the Republic of Serbia. It is under the authority of the Police Directorate of the Serbian Ministry of Interior and was formed on 28 June 2001, after the disbandment of the Special Police Units (PJP). Gendarmery in Serbia existed in previous form from 1860 to 1920. As a special unit inside Serbian police, its role can be compared to those of Russian OMON and former Ukrainian Berkut units.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/GENB2.png"),
                    AfterSpawn = (Instance) =>
                    {	
                        var skin = ModAPI.LoadTexture("SERB/SGEN2.png");
	                    var flesh = ModAPI.LoadTexture("6f_flesh.png");
	                    var bone = ModAPI.LoadTexture("6f_bone.png");
                            var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                
	                    person.SetBodyTextures(skin, null, null, 6);
                
                            person.SetBruiseColor(86, 62, 130);
                            person.SetSecondBruiseColor(154, 0, 7);
                            person.SetThirdBruiseColor(207, 206, 120);
                            person.SetRottenColour(202, 199, 104);
                            person.SetBloodColour(108, 0, 4);
                    }
                }
            );	
		  ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "{RESPONSE} Serbian Gendarmery Tactical",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "The Gendarmery is the national gendarmerie force of the Republic of Serbia. It is under the authority of the Police Directorate of the Serbian Ministry of Interior and was formed on 28 June 2001, after the disbandment of the Special Police Units (PJP). Gendarmery in Serbia existed in previous form from 1860 to 1920. As a special unit inside Serbian police, its role can be compared to those of Russian OMON and former Ukrainian Berkut units.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/GENB3.png"),
                    AfterSpawn = (Instance) =>
                    {	
                        var skin = ModAPI.LoadTexture("SERB/SGEN B.png");
	                    var flesh = ModAPI.LoadTexture("6f_flesh.png");
	                    var bone = ModAPI.LoadTexture("6f_bone.png");
                            var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                
	                    person.SetBodyTextures(skin, null, null, 6);
                
                            person.SetBruiseColor(86, 62, 130);
                            person.SetSecondBruiseColor(154, 0, 7);
                            person.SetThirdBruiseColor(207, 206, 120);
                            person.SetRottenColour(202, 199, 104);
                            person.SetBloodColour(108, 0, 4);
                    }
                }
            );	
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "{RESPONSE} Gendarmery Vest",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Probably shit.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("SERB/SERB VB1.png", 6f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SERB/SERB VB1.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 30f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 3;
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();

						var among2 = GameObject.Instantiate(ModAPI.FindSpawnable("Rod").Prefab);
						among2.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SERB/SERB VT1.png", 6f);
						among2.transform.localPosition = (Instance.transform.position);
						var mogus2 = among2.GetComponent<Collider2D>();
                        			GameObject.Destroy(mogus2);
                        			among2.FixColliders();

					ArmorBehaviour armor3 = among2.AddComponent<ArmorBehaviour>();
					armor3.stabResistance = 30f;
                        		armor3.armorPiece = "UpperBody";
					armor3.armorTier = 3;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "{RESPONSE} Gendarmery Vest (Radio)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Probably shit.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("SERB/SERB VB2.png", 6f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SERB/SERB VB2.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 30f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 3;
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();

						var among2 = GameObject.Instantiate(ModAPI.FindSpawnable("Rod").Prefab);
						among2.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SERB/SERB VT2.png", 6f);
						among2.transform.localPosition = (Instance.transform.position);
						var mogus2 = among2.GetComponent<Collider2D>();
                        			GameObject.Destroy(mogus2);
                        			among2.FixColliders();

					ArmorBehaviour armor3 = among2.AddComponent<ArmorBehaviour>();
					armor3.stabResistance = 30f;
                        		armor3.armorPiece = "UpperBody";
					armor3.armorTier = 3;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "{RESPONSE} Gendarmery Vest (Small Radio)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Probably shit.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("SERB/SERB VB3.png", 6f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SERB/SERB VB3.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 30f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 3;
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();

						var among2 = GameObject.Instantiate(ModAPI.FindSpawnable("Rod").Prefab);
						among2.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SERB/SERB VT2.png", 6f);
						among2.transform.localPosition = (Instance.transform.position);
						var mogus2 = among2.GetComponent<Collider2D>();
                        			GameObject.Destroy(mogus2);
                        			among2.FixColliders();

					ArmorBehaviour armor3 = among2.AddComponent<ArmorBehaviour>();
					armor3.stabResistance = 30f;
                        		armor3.armorPiece = "UpperBody";
					armor3.armorTier = 3;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Plank"),
                    NameOverride = "{RESPONSE} Gendarmery Cap",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Yet another cap",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("SERB/SERBCap.png", 6f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SERB/SERBCap.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 10f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
			ModAPI.Register(
             new Modification()
             {
              OriginalItem = ModAPI.FindSpawnable("Assault Rifle"),
                 NameOverride = "{RESPONSE} CZ 805 BREN",
                   DescriptionOverride = "The CZ 805 BREN is a gas-operated modular assault rifle designed and manufactured by Česká zbrojovka Uherský Brod. The modular design enables users to change the calibre of the weapon to 5.56x45mm NATO or 7.62x39mm intermediate cartridges by quick change of barrel with gas tubes, breech block, magazine bay and magazine.",
                 CategoryOverride = ModAPI.FindCategory("Entities"),
                 ThumbnailOverride = ModAPI.LoadSprite("SERB/CZ 805 BREN.png", 10f),
                 AfterSpawn = (Instance) =>
                 {

                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SERB/CZ 805 BREN.png", 10f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.360f, 0.1000f); 
                     firearm.casingPosition = new Vector3(-0.300f,0.100f);
                     customCartridge.name = "5.56mm NATO";
                     customCartridge.Recoil *= 3f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/AK SERIES.wav"),
                     };
                 }
             }
             ); ;
			ModAPI.Register(
             new Modification()
             {
              OriginalItem = ModAPI.FindSpawnable("Assault Rifle"),
                 NameOverride = "{RESPONSE} Zastava M21",
                   DescriptionOverride = "The Zastava M21 is a series of 5.56×45mm NATO rifles developed and manufactured by Zastava Arms in Serbia.",
                 CategoryOverride = ModAPI.FindCategory("Entities"),
                 ThumbnailOverride = ModAPI.LoadSprite("SERB/Zastava M21 AR.png", 10f),
                 AfterSpawn = (Instance) =>
                 {

                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SERB/Zastava M21 AR.png", 10f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.360f, 0.1000f); 
                     firearm.casingPosition = new Vector3(-0.300f,0.100f);
                     customCartridge.name = "5.56mm NATO";
                     customCartridge.Recoil *= 1f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/AK SERIES.wav"),
                     };
                 }
             }
             ); ;
			ModAPI.Register(
             new Modification()
             {
              OriginalItem = ModAPI.FindSpawnable("Assault Rifle"),
                 NameOverride = "{RESPONSE} Zastava M84 MG",
                   DescriptionOverride = "The Zastava M84 is a general-purpose machine gun manufactured by Zastava Arms. It is a gas-operated, air-cooled, belt-fed and fully automatic shoulder-fired weapon. The M84 is a clone of the Soviet PKM, one difference being in the stock, which is not hollow like the original and is made out of a different type of wood. Another is the contour and weight of the barrel which has slightly different measurements at the gas port and forward of the trunnion in diameter.",
                 CategoryOverride = ModAPI.FindCategory("Entities"),
                 ThumbnailOverride = ModAPI.LoadSprite("SERB/Zastava M84.png", 10f),
                 AfterSpawn = (Instance) =>
                 {

                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SERB/Zastava M84.png", 10f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.360f, 0.1000f); 
                     firearm.casingPosition = new Vector3(-0.300f,0.100f);
                     customCartridge.name = "7.62x54mmR";
                     customCartridge.Recoil *= 1f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/AK SERIES.wav"),
                     };
                 }
             }
             ); ;
			ModAPI.Register(
             new Modification()
             {
              OriginalItem = ModAPI.FindSpawnable("Sniper Rifle"),
                 NameOverride = "{RESPONSE} Zastava M93 Black Arrow",
                   DescriptionOverride = "The M93 Black Arrow is a 12.7x108mm anti-materiel rifle developed and manufactured by Zastava Arms.",
                 CategoryOverride = ModAPI.FindCategory("Entities"),
                 ThumbnailOverride = ModAPI.LoadSprite("SERB/Zastava M93 Black Arrow.png", 10f),
                 AfterSpawn = (Instance) =>
                 {

                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SERB/Zastava M93 Black Arrow.png", 10f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("50 BMG");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.360f, 0.1000f); 
                     firearm.casingPosition = new Vector3(-0.300f,0.100f);
                     customCartridge.name = "12.7x108mm";
                     customCartridge.Recoil *= 5f;
                     customCartridge.Damage *= 30.0f; 
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = false;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/Extras.wav"),
                     };
                 }
             }
             ); ;
			ModAPI.Register(
             new Modification()
             {
              OriginalItem = ModAPI.FindSpawnable("Pistol"),
                 NameOverride = "{RESPONSE} CZ 99",
                   DescriptionOverride = "The Zastava CZ 99 is a semi-automatic pistol produced by Zastava Arms. It was developed in 1989 to replace the M57 in the Yugoslav military and police. The frame design was influenced by the SIG P226 albeit with some ambidextrous controls like the Walther P88 Compact. The CZ 99 is primarily chambered in 9×19mm Parabellum with a 15-round magazine.",
                 CategoryOverride = ModAPI.FindCategory("Entities"),
                 ThumbnailOverride = ModAPI.LoadSprite("SERB/CZ 99.png", 20f),
                 AfterSpawn = (Instance) =>
                 {

                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SERB/CZ 99.png", 20f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.100f, 0.1000f);  
                     firearm.casingPosition = new Vector3(-0.100f,0.100f);
                     customCartridge.name = "9x19mm Parabellum";
                     customCartridge.Recoil *= 1f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = false;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/beretta_01.wav"),
                     };
                 }
             }
             ); ;
			ModAPI.Register(
             new Modification()
             {
              OriginalItem = ModAPI.FindSpawnable("Submachine Gun"),
                 NameOverride = "{RESPONSE} Zastava Master FLG",
                   DescriptionOverride = "The Zastava Master FLG is a 9mm submachine gun developed by Zastava Arms in the early 1990s in Yugoslavia. The FLG was designed with police and special forces in mind and was made from plastic and steel.",
                 CategoryOverride = ModAPI.FindCategory("Entities"),
                 ThumbnailOverride = ModAPI.LoadSprite("SERB/Zastava Master FLG.png", 10f),
                 AfterSpawn = (Instance) =>
                 {

                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SERB/Zastava Master FLG.png", 10f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.300f, 0.1000f);  
                     firearm.casingPosition = new Vector3(-0.100f,0.100f);
                     customCartridge.name = "9x19mm Parabellum";
                     customCartridge.Recoil *= 0.3f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/pistol.wav"),
                     };
                 }
             }
             ); ;
			ModAPI.Register(
             new Modification()
             {
              OriginalItem = ModAPI.FindSpawnable("Submachine Gun"),
                 NameOverride = "{RESPONSE} Zastava M84 Scorpion",
                   DescriptionOverride = "A licensed copy of the Czech Sa vz. 61 Skorpion.",
                 CategoryOverride = ModAPI.FindCategory("Entities"),
                 ThumbnailOverride = ModAPI.LoadSprite("SERB/Zastava M84 Scorpion.png", 16f),
                 AfterSpawn = (Instance) =>
                 {

                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SERB/Zastava M84 Scorpion.png", 16f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.300f, 0.1000f);  
                     firearm.casingPosition = new Vector3(-0.100f,0.100f);
                     customCartridge.name = "9x19mm Parabellum";
                     customCartridge.Recoil *= 0.3f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/pistol.wav"),
                     };
                 }
             }
             ); ;
/////////////////////////////////////////////////////////////////////////////////Global//////////////////////////////////////////////////////////////////////////////////////////////////////
			ModAPI.Register(
             new Modification()
             {
              OriginalItem = ModAPI.FindSpawnable("Pistol"),
                 NameOverride = "{RESPONSE} Beretta 92F",
                   DescriptionOverride = "The 92FS is a double/single-action semiauto pistol that employs an open-slide, short-recoil delayed locking-block system, which yields a faster cycle time and delivers exceptional accuracy and reliability. In particular, the open-slide design practically eliminates 'stove-piping' and helps flawless cycling and feeding even after thousands and thousands of rounds. The recently-renewed contract with the US military speaks clear: when it comes to dependability even in some of the world’s most extreme conditions, the Beretta 92FS still has no match. Period.",
                 CategoryOverride = ModAPI.FindCategory("Entities"),
                 ThumbnailOverride = ModAPI.LoadSprite("GLOBAL/Beretta 92F.png", 42f),
                 AfterSpawn = (Instance) =>
                 {

                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("GLOBAL/Beretta 92F.png", 42f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.200f, 0.1000f);  
                     firearm.casingPosition = new Vector3(-0.100f,0.100f);
                     customCartridge.name = "9x19mm Parabellum";
                     customCartridge.Recoil *= 1f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = false;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/beretta_01.wav"),
                     };
                 }
             }
             ); ;
			ModAPI.Register(
             new Modification()
             {
              OriginalItem = ModAPI.FindSpawnable("Pistol"),
                 NameOverride = "{RESPONSE} Comically Sized Beretta 92F",
                   DescriptionOverride = "goofy ahh size.",
                 CategoryOverride = ModAPI.FindCategory("Entities"),
                 ThumbnailOverride = ModAPI.LoadSprite("GLOBAL/Beretta 92F.png", 20f),
                 AfterSpawn = (Instance) =>
                 {

                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("GLOBAL/Beretta 92F.png", 20f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.200f, 0.1000f);  
                     firearm.casingPosition = new Vector3(-0.100f,0.100f);
                     customCartridge.name = "9x19mm Parabellum";
                     customCartridge.Recoil *= 1f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = false;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/beretta_01.wav"),
                     };
                 }
             }
             ); ;
			ModAPI.Register(
             new Modification()
             {
              OriginalItem = ModAPI.FindSpawnable("Pistol"),
                 NameOverride = "{RESPONSE} SIG Sauer M17",
                   DescriptionOverride = "After one of the most rigorous and highly competitive review processes in the history of military firearms, the SIG SAUER M17 was awarded the Modular Handgun System (MHS) contract for the U.S. Army. The M17 is a P320-based platform, and was selected for its uniquely innovative modularity, uncompromising performance, and unmatched capability. The P320-M17 closely follows the specifications of the U.S. Army’s M17.",
                 CategoryOverride = ModAPI.FindCategory("Entities"),
                 ThumbnailOverride = ModAPI.LoadSprite("GLOBAL/SIG Sauer M17.png", 35f),
                 AfterSpawn = (Instance) =>
                 {

                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("GLOBAL/SIG Sauer M17.png", 35f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.300f, 0.1000f);  
                     firearm.casingPosition = new Vector3(-0.100f,0.100f);
                     customCartridge.name = "9x19mm Parabellum";
                     customCartridge.Recoil *= 1f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = false;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/beretta_01.wav"),
                     };
                 }
             }
             ); ;
        } 
    }
}